低危 bfd_elf32_swap_phdr_in函数中基于堆的缓冲区溢出导致拒绝服务

CVE编号

CVE-2018-19931

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-12-07 20:29:00
漏洞描述
在二进制文件描述符(BFD)库(又名libbfd)中发现了一个问题,该库以GNU Binutils到2.31发行。在elfcode.h中的bfd_elf32_swap_phdr_in中存在基于堆的缓冲区溢出,因为程序头的数量没有限制。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=5f60af5d24d181371d67534fa273dd221df20c07
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu binutils * Up to
(including)
2.31
2
运行在以下环境
应用 netapp vasa_provider * From
(including)
7.2
3
运行在以下环境
系统 suse_12_SP4 binutils * Up to
(excluding)
2.32-9.33.1
4
运行在以下环境
系统 suse_12_SP5 binutils * Up to
(excluding)
2.32-9.33.1
5
运行在以下环境
系统 alpine_3.13 binutils * Up to
(excluding)
2.32-r0
6
运行在以下环境
系统 alpine_edge binutils * Up to
(excluding)
2.32-r0
7
运行在以下环境
系统 debian_10 binutils * Up to
(excluding)
2.31.1-16
8
运行在以下环境
系统 debian_9 binutils * Up to
(excluding)
2.28-5
9
运行在以下环境
系统 alpine_3.10 binutils * Up to
(excluding)
2.32-r0
10
运行在以下环境
系统 alpine_3.12 binutils * Up to
(excluding)
2.32-r0
11
运行在以下环境
系统 alpine_3.11 binutils * Up to
(excluding)
2.32-r0
12
运行在以下环境
系统 opensuse_Leap_15.0 binutils * Up to
(excluding)
2.32-lp150.10.1
13
运行在以下环境
系统 opensuse_Leap_15.1 binutils * Up to
(excluding)
2.32-lp151.3.3.1
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况